<?php
require_once(__DIR__ . "/../config.php");
date_default_timezone_set('America/Asuncion');

final class Database
{

    private static $dsn = null;
    private static $username = null;
    private static $password = null;

    private static $instance;

    public static function getInstance()
    {
        if (!isset(self::$instance)) {
            self::$dsn = "mysql:host=" . $_ENV['CONFIG']['MYSQL']['HOST'] . ";dbname=" . $_ENV['CONFIG']['MYSQL']['DB'];
            self::$username = $_ENV['CONFIG']['MYSQL']['USER'];
            self::$password = $_ENV['CONFIG']['MYSQL']['PASSWORD'];
            
            try {
                self::$instance = new PDO(
                    self::$dsn, self::$username, self::$password,
                    array(
                        \PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"
                    )
                );
                self::$instance->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
                self::$instance->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
            } catch (PDOException $e) {
                // En caso de error, muestra información detallada
                die("Error de conexión a la base de datos: " . $e->getMessage());
            }
        }
        return self::$instance;
    }
}

$user = $_ENV['CONFIG']['MYSQL']['USER']; 
$password = $_ENV['CONFIG']['MYSQL']['PASSWORD']; 
$database = $_ENV['CONFIG']['MYSQL']['DB']; 
$con=mysqli_connect("localhost",$user,$password,$database) or die('no hay conexion a la base de datos');
