<?php
include('functions.php');

$arr = array();
$tipoServicio = $_POST['servicio'];
$nombre = $_POST['nombre'];
$apellido = $_POST['apellido'];
$monto = isset($_POST['monto']) ? $_POST['monto'] : 0;
$telefono = $_POST['telefono'];
$email = $_POST['email'];
$conn = Database::getInstance();

// Caso "automotores"
if ($tipoServicio == "automotores") {
    $marca = $_POST['marca'];
    $modelo = $_POST['modelo'];
    $anho = $_POST['anio'];

    $sql = "INSERT INTO seguro_laed (seguro_laed_tipo, seguro_laed_marca, seguro_laed_modelo, seguro_laed_anho, seguro_laed_monto, seguro_lead_nombre, seguro_lead_apellido, seguro_laed_telefono, seguro_laed_correo) 
            VALUES (:tipo, :marca, :modelo, :anho, :monto, :nombre, :apellido, :telefono, :correo)";
    
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':tipo', $tipoServicio, PDO::PARAM_STR);
    $stmt->bindParam(':marca', $marca, PDO::PARAM_STR);
    $stmt->bindParam(':modelo', $modelo, PDO::PARAM_STR);
    $stmt->bindParam(':anho', $anho, PDO::PARAM_STR);    
    $stmt->bindParam(':monto', $monto, PDO::PARAM_STR);
    $stmt->bindParam(':nombre', $nombre, PDO::PARAM_STR);
    $stmt->bindParam(':apellido', $apellido, PDO::PARAM_STR);
    $stmt->bindParam(':telefono', $telefono, PDO::PARAM_STR);
    $stmt->bindParam(':correo', $email, PDO::PARAM_STR);
    
    $arr['estado'] = $stmt->execute() ? 1 : 2;
}

// Caso "vida"
if ($tipoServicio == "vida") {
    $edad = $_POST['edad'];
    $genero = $_POST['genero'];
    $actividad = $_POST['actividad'];

    $sql = "INSERT INTO seguro_laed (seguro_laed_tipo, seguro_laed_edad, seguro_laed_genero, seguro_laed_actividad, seguro_laed_monto, seguro_lead_nombre, seguro_lead_apellido, seguro_laed_telefono, seguro_laed_correo) 
            VALUES (:tipo, :edad, :genero, :actividad, :monto, :nombre, :apellido, :telefono, :correo)";
    
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':tipo', $tipoServicio, PDO::PARAM_STR);
    $stmt->bindParam(':edad', $edad, PDO::PARAM_STR);
    $stmt->bindParam(':genero', $genero, PDO::PARAM_STR);
    $stmt->bindParam(':actividad', $actividad, PDO::PARAM_STR);    
    $stmt->bindParam(':monto', $monto, PDO::PARAM_STR);
    $stmt->bindParam(':nombre', $nombre, PDO::PARAM_STR);
    $stmt->bindParam(':apellido', $apellido, PDO::PARAM_STR);
    $stmt->bindParam(':telefono', $telefono, PDO::PARAM_STR);
    $stmt->bindParam(':correo', $email, PDO::PARAM_STR);
    
    $arr['estado'] = $stmt->execute() ? 1 : 2;
}

// Caso "hogar" y "otros"
if ($tipoServicio == "hogar" || $tipoServicio == "otros") {
    $cadena = ''; // Inicializamos la variable $cadena
    
    if ($tipoServicio == "hogar") {
        if (isset($_POST['seguros']) && !empty($_POST['seguros'])) {
            $cadena = $_POST['seguros'];
        }
    } elseif ($tipoServicio == "otros") {
        if (isset($_POST['seguros']) && is_array($_POST['seguros'])) {
            $cadena = implode(',', $_POST['seguros']);
        }
    }

    $sql = "INSERT INTO seguro_laed (seguro_laed_tipo, seguro_laed_asegurados, seguro_laed_monto, seguro_lead_nombre, seguro_lead_apellido, seguro_laed_telefono, seguro_laed_correo) 
            VALUES (:tipo, :asegurados, :monto, :nombre, :apellido, :telefono, :correo)";
    
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':tipo', $tipoServicio, PDO::PARAM_STR);
    $stmt->bindParam(':asegurados', $cadena, PDO::PARAM_STR);
    $stmt->bindParam(':monto', $monto, PDO::PARAM_STR);
    $stmt->bindParam(':nombre', $nombre, PDO::PARAM_STR);
    $stmt->bindParam(':apellido', $apellido, PDO::PARAM_STR);
    $stmt->bindParam(':telefono', $telefono, PDO::PARAM_STR);
    $stmt->bindParam(':correo', $email, PDO::PARAM_STR);
    
    $arr['estado'] = $stmt->execute() ? 1 : 2;
}

// Caso "comercio"
if ($tipoServicio == "comercio") {
    $cadena = $_POST['seguros'];
    $rubro = NULL;

    $sql = "INSERT INTO seguro_laed (seguro_laed_tipo, seguro_laed_asegurados, seguro_laed_rubro, seguro_laed_monto, seguro_lead_nombre, seguro_lead_apellido, seguro_laed_telefono, seguro_laed_correo) 
            VALUES (:tipo, :asegurados, :rubro, :monto, :nombre, :apellido, :telefono, :correo)";
    
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':tipo', $tipoServicio, PDO::PARAM_STR);
    $stmt->bindParam(':asegurados', $cadena, PDO::PARAM_STR);
    $stmt->bindParam(':rubro', $rubro, PDO::PARAM_STR);
    $stmt->bindParam(':monto', $monto, PDO::PARAM_STR);
    $stmt->bindParam(':nombre', $nombre, PDO::PARAM_STR);
    $stmt->bindParam(':apellido', $apellido, PDO::PARAM_STR);
    $stmt->bindParam(':telefono', $telefono, PDO::PARAM_STR);
    $stmt->bindParam(':correo', $email, PDO::PARAM_STR);
    
    $arr['estado'] = $stmt->execute() ? 1 : 2;
}

header('Content-Type: application/json');
echo json_encode($arr);
?>
