<?php
include 'config.php';
include 'inc/functions.php';
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Royal Seguros - Cotizador Poliza</title>
    <link rel="icon" type="image/x-icon" href="img/favicon-32x32.png">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- SweetAlert2 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.7.0/dist/sweetalert2.min.css" rel="stylesheet">

    <!-- Font Awesome -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <!-- Custom CSS (opcional) -->
    <link href="css/style.css" rel="stylesheet">

    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" integrity="sha512-c42qTSw/wPZ3/5LBzD+Bw5f7bSF2oxou6wEb+I/lqeaKV5FDIfMvvRp772y4jcJLKuGUOpbJMdg/BTl50fJYAw==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body>
 <!-- ======= Header ======= -->
 <header id="header" class="fixed-top">
    <div class="container d-flex align-items-center">
       <a href="index.php" class="logo me-auto"><img src="img/logo-horizontal.png" alt="" class="img-fluid filter" id="logoNav"></a>
       <button id="verMasBtn" class="btn btn-pill bg-gold pt-sans-bold mt-2 mt-lg-0" style="display: none;">COTIZAR SEGURO</button>
    </div>
  </header><!-- End Header -->
<!-- Sección Hero con parallax -->
<section id="hero" class="hero">
    <div class="slider-container">
        <!-- Slider de imágenes de fondo -->
        <div class="slider">
            <div class="slide">
                <!-- Imagen para escritorio -->
                <img src="img/life.jpg" alt="Imagen 1" class="img-fluid d-none d-md-block">
                <!-- Imagen para móviles -->
                <img src="img/life-mobile.jpg" alt="Imagen 1 móvil" class="img-fluid d-md-none">
            </div>
            <div class="slide">
                <!-- Imagen para escritorio -->
                <img src="img/camiones.jpg" alt="Imagen 2" class="img-fluid d-none d-md-block">
                <!-- Imagen para móviles -->
                <img src="img/camiones-mobile.jpg" alt="Imagen 2 móvil" class="img-fluid d-md-none">
            </div>
            <div class="slide">
                <!-- Imagen para escritorio -->
                <img src="img/viajes.jpg" alt="Imagen 3" class="img-fluid d-none d-md-block">
                <!-- Imagen para móviles -->
                <img src="img/viajes-mobile.jpg" alt="Imagen 3 móvil" class="img-fluid d-md-none">
            </div>
        </div>
    </div>
    <div class="container content content_hero wow animate__animated animate__fadeIn animate__slow animate__delay-1s">
        <h1 class="display-4 pt-sans-bold-italic">Asegura lo más importante</h1>
        <p class="lead pt-sans-bold gold">Protege a tu familia y tus bienes</p>
        <button id="verMasBtn" class="btn btn-pill bg-gold pt-sans-bold">COTIZAR SEGURO</button>
    </div>
</section>



    <!-- Sección Servicios -->
    <section id="services" class="section">
    <div class="container">
        <h2 class="text-center mb-5 pt-sans-bold wow animate__animated animate__backInLeft">ASEGURA TUS BIENES MAS IMPORTANTES</h2>
        <div class="row">
            <div class="col-md-4">
                <div class="card service-card wow animate__animated animate__fadeIn" data-wow-delay="1s" >
                    <img src="img/familias.jpg" class="card-img-top" alt="Servicio 1">
                    <div class="card-body">
                        <h5 class="card-title pt-sans-bold-italic">Seguros Personales</h5>
                        <ul class="p-0">
                            <li><b>Seguro de vida:</b> Proporciona cobertura en caso de fallecimiento.</li>
                            <li><b>Seguro de salud:</b> Ofrece protección ante gastos médicos, hospitalización, y tratamientos.</li>
                            <li><b>Seguros de accidentes personales:</b> Protección en caso de accidentes que resulten en lesiones o incapacidad.</li>
                            <li><b>Seguros de viaje:</b> Cobertura para imprevistos durante viajes, como problemas de salud o pérdida de equipaje.</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-md-4 mt-4 mt-md-0 mt-lg-0 mt-xl-0">
                <div class="card service-card wow animate__animated animate__fadeIn" data-wow-delay="1.5s">
                    <img src="img/hogar.jpg" class="card-img-top" alt="Servicio 2">
                    <div class="card-body">
                        <h5 class="card-title pt-sans-bold-italic">Seguros de Bienes</h5>
                        <ul class="p-0">
                            <li><b>Seguro de automóvil:</b> Cobertura para daños, robos, o accidentes relacionados con vehículos.</li>
                            <li><b>Seguro para el hogar:</b> Protección frente a daños o pérdidas de la vivienda por incendios, robos, o desastres naturales.</li>
                            <li><b>Seguro para el comercio:</b> Cobertura para locales comerciales, que incluye daños a la propiedad o responsabilidad civil por el negocio.</li>
                            <li><b>Seguro de bienes personales:</b> Cobertura para objetos de valor como joyas, arte, o tecnología.</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-md-4 mt-4 mt-md-0 mt-lg-0 mt-xl-0">
                <div class="card service-card wow animate__animated animate__fadeIn" data-wow-delay="2s">
                    <img src="img/negocio.jpg" class="card-img-top" alt="Servicio 3">
                    <div class="card-body">
                        <h5 class="card-title pt-sans-bold-italic">Seguros Empresariales</h5>
                        <ul class="p-0">
                            <li><b>Seguro de responsabilidad civil:</b> Cobertura frente a reclamaciones por daños a terceros, tanto en el ámbito personal como profesional.</li>
                            <li><b>Seguro para flotas de vehículos:</b> Pólizas diseñadas para empresas que manejan un número grande de vehículos.</li>
                            <li><b>Seguro multirriesgo para empresas:</b> Ofrece cobertura integral para riesgos que afectan el funcionamiento de una empresa, incluyendo daños a la infraestructura, equipos, y responsabilidad.</li>
                            <li><b>Seguro de interrupción de negocio:</b> Compensa las pérdidas de ingresos debido a la suspensión de actividades comerciales por causas cubiertas.</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


    <!-- Sección Testimonios -->
    <section id="testimonials" class="section bg-light">
    <!-- Aquí va el contenido de la sección -->
        <div class="container">
            <h2 class="text-center mb-5 pt-sans-bold">CLIENTES</h2>
            <div class="row">
                <div class="col-md-4 text-center">
                    <blockquote class="blockquote">
                         <img class="img-fluid mx-auto wow animate__animated animate__fadeIn" src="img/cliente1.png">
                        <p class="mb-0">"Excelente servicio, 100% recomendado."</p>
                        <footer class="blockquote-footer">Juan Gonzalez</footer>
                    </blockquote>
                </div>
                <div class="col-md-4 text-center">
                    <blockquote class="blockquote">
                        <img class="img-fluid mx-auto wow animate__animated animate__fadeIn" src="img/cliente2.png">
                        <p class="mb-0">"Un equipo muy profesional."</p>
                        <footer class="blockquote-footer">Miguel Carmona</footer>
                    </blockquote>
                </div>
                <div class="col-md-4 text-center">
                    <blockquote class="blockquote">
                        <img class="img-fluid mx-auto wow animate__animated animate__fadeIn" src="img/cliente3.png">
                        <p class="mb-0">"Atencion y personal muy eficientes."</p>
                        <footer class="blockquote-footer">Jose Luis Martinez</footer>
                    </blockquote>
                </div>
            </div>
        </div>

    </section>

    <!-- Sección Contacto -->
    <section id="contact" class="section bg-dark">
        <div class="container">
            <h2 class="text-center mb-5 pt-sans-bold">Contáctanos</h2>
            <div class="row justify-content-center">
                <div class="col-md-6">
                    <form>
                        <div class="mb-3">
                            <label for="name" class="form-label">Nombre</label>
                            <input type="text" class="form-control form-fields" id="name" placeholder="Tu nombre">
                        </div>
                        <div class="mb-3">
                            <label for="email" class="form-label">Correo Electrónico</label>
                            <input type="email" class="form-control form-fields" id="email" placeholder="nombre@ejemplo.com">
                        </div>
                        <div class="mb-3">
                            <label for="message" class="form-label">Mensaje</label>
                            <textarea class="form-control form-fields" id="message" rows="4" placeholder="Tu mensaje"></textarea>
                        </div>
                        <div id="captcha" class="p-3 text-center"></div>
                        <input type="hidden" name="csrf_token" id="csrf_token" readonly value="<?php echo generarCsrfToken(); ?>">
                        <button type="submit" class="btn btn-pill bg-gold pt-sans-bold w-100" onclick="enviarContacto(event)">Enviar</button>
                    </form>
                </div>
            </div>
        </div>
    </section>
    <footer class="footer-section">
    <div class="container">

        <div class="row">
            <div class="col-lg-3 col-sm-6">
                <div class="footer-widget">
                    <a href="https://www.royalseguros.com.py" class="footer-logo w-100 text-center text-md-left">
                        <img src="https://www.royalseguros.com.py/assets_front/img/logo-horizontal.png" alt="Royal Seguros S.A." style="max-height:80px;">
                    </a>
                    
                </div>
            </div>
            <div class="col-lg-3 col-sm-6">
                <div class="footer-widget">
                    <ul>
                        <li><a href="https://www.royalseguros.com.py/nosotros">Nosotros</a></li>
                        <li><a href="https://www.royalseguros.com.py/agencias">Agencias</a></li>
                        <li><a href="https://www.royalseguros.com.py/reaseguradoras">Reaseguradores</a></li>
                        <li><a href="https://www.royalseguros.com.py/polizas">Condiciones de seguros</a></li>
                        <li><a href="https://www.royalseguros.com.py/preguntas-frecuentes">Preguntas frecuentes</a></li>
                        <li><a href="https://www.royalseguros.com.py/trabaja">Trabajá con nosotros</a></li>
                        <li><a href="https://www.royalseguros.com.py/contacto">Contacto</a></li>
                      </ul>
                    </div>
                  </div>
                  <div class="col-lg-3 col-sm-6">
                    <div class="footer-widget">
                      <ul>
                        <li><a href="https://www.royalseguros.com.py/gobierno-corporativo">Gobierno Corporativo</a></li>
                                                <li><a href="https://www.royalseguros.com.py/storage/documentos/aprobaciones_sis-1710165046.pdf" target="_blank" rel="noreferrer">Aprobaciones de la SIS</a></li>
                        <li><a href="https://www.royalseguros.com.py/storage/documentos/organigrama-1710165046.pdf" target="_blank" rel="noreferrer">Organigrama</a></li>
                                                <li><a href="https://outlook.office.com" target="_blank">Webmail</a></li>
                        <li><a href="https://intraweb.royalseguros.com.py:8866/" target="_blank">Intraweb</a></li>
                                                <li><a href="https://www.royalseguros.com.py/storage/documentos/terminos-1710165046.pdf" target="_blank">Términos y condiciones</a></li>
                        <li><a href="https://www.royalseguros.com.py/storage/documentos/politicas-1710165046.pdf" target="_blank">Política de Privacidad</a></li>
                                                <li><a href="https://www.royalseguros.com.py/assets_front/extras/Intermediarios.pdf?1" target="_blank">Intermediarios</a></li>
                        
                    </ul>
                </div>
            </div>
            <div class="col-lg-3 col-sm-6">
                <div class="footer-widget">
                            <ul>
                                <li><a href="https://goo.gl/maps/WNs3uYNpNQXXxCcL8" target="_blank"><i class="fas fa-map-marker-alt"></i>Francisco Morra Nº 595 esquina Mariscal Antonio José Sucre</a></li>
                                <li><a href="tel:021 609 800"><i class="fas fa-phone-alt"></i>021 609 800</a></li>
                                <li><a href="mailto:info@royalseguros.com.py"><i class="fas fa-envelope"></i>info@royalseguros.com.py</a></li>
                                <li><i class="far fa-clock"></i>Lunes a Viernes de 8:00 a 17:30 hs.</li>
                            </ul>
                            <div class="social-links mb-4">
                                <a href="https://www.facebook.com/RoyalSegurosSA" target="_blank"><i class="fab fa-facebook-f"></i></a>
                                <a href="https://www.instagram.com/royalsegurospy/" target="_blank"><i class="fab fa-instagram"></i></a>
                            </div>
                </div>
            </div>

        </div>

        <div class="copyright text-center">
            <a href="https://www.cbg.com.py" target="_blank" rel="noreferrer"><img src="https://www.cbg.com.py/assets/img/logo.png" alt="CBG Agencia Web" style="max-height:30px;" class="mx-auto"> </a>
        </div>
    </div>
</footer>
<button id="scrollToTop" class="scroll-to-top">↑</button>

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <!-- SweetAlert2 JS -->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.7.0/dist/sweetalert2.all.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/wow/1.1.2/wow.min.js" integrity="sha512-Eak/29OTpb36LLo2r47IpVzPBLXnAMPAVypbSZiZ4Qkf8p/7S/XRG5xp7OKWPPYfJT6metI+IORkR5G8F900+g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://challenges.cloudflare.com/turnstile/v0/api.js?render=explicit&compat=hcaptcha"></script>
    <script src="https://unpkg.com/@popperjs/core@2/dist/umd/popper.min.js"></script>
    <script src="https://unpkg.com/tippy.js@6/dist/tippy-bundle.umd.js"></script>
    <script type="text/javascript" src="js/scripts.js"></script>  
     <script type="text/javascript" src="js/main.js"></script>
    <script>
            turnstile.ready(function() {
            turnstile.render('#captcha', {
            sitekey: '<?php echo $_ENV['CONFIG']['CLOUDFLARE']['SITEKEY'] ?>',
                callback: function(token) {
                    $(".form-fields").removeAttr('disabled');
                },
                });
            });
            document.addEventListener("scroll", function() {
        const verMasBtn = document.getElementById("verMasBtn");
        const header = document.getElementById("header");

        if (window.scrollY > 50) {
            verMasBtn.style.display = "block"; // Muestra el botón
            header.style.backgroundColor = "rgba(255, 255, 255, 0.9)"; // Cambia el color de fondo del header
        } else {
            verMasBtn.style.display = "none"; // Oculta el botón
            header.style.backgroundColor = "transparent"; // Restaura el color de fondo del header
        }
    });
    </script>
</body>
</html>
