$(document).ready(function(){
    $('.slider').slick({
        autoplay: true,
        autoplaySpeed: 3000,
        fade: true,
        speed: 1000,
        arrows: false,
        dots: false,
        infinite: true // Asegura que el slider repita las diapositivas
    });
    new WOW().init();

    //activamos el boton npara volver arriba
    let scrollToTopButton = document.getElementById('scrollToTop'); // Utiliza getElementById para obtener el botón
      if (scrollToTopButton) {
          const buttonScrolled = () => {
              if (window.scrollY > 100) { // Cambia este valor para ajustar cuándo aparece el botón
                  scrollToTopButton.classList.add('show');
                  
              } else {
                  scrollToTopButton.classList.remove('show'); // Usa 'show' en lugar de 'remove'
              }
          };
      
          window.addEventListener('scroll', buttonScrolled); // Añade el evento scroll directamente a window
          window.addEventListener('load', buttonScrolled); // Para comprobar la posición al cargar la página
      
          // Añadir evento click para volver al principio
          scrollToTopButton.addEventListener('click', () => {
              window.scrollTo({
                  top: 0,
                  behavior: 'smooth' // Desplazamiento suave
              });
          });
      }
    
});

   // Variable global para almacenar el servicio seleccionado
 formData = {
    servicio: null
};


function paso1() {
    Swal.fire({
        title: '<h3 class="pt-sans-bold pt-2">Selecciona un servicio</h3>',
        html: `<div class="container my-4">
                    <ul class="list-options-lg list-unstyled">
                        <li class="mb-3">
                            <a href="#" data-type="vehicle" class="btn btn-light btn-pill btn-xxl js-step-1 js-step w-100 d-flex align-items-center justify-content-between pt-sans-bold" data-section="automotores" data-title="Completá los datos" onclick="selectService(event, 'automotores')">
                                <span><i class="fa-solid fa-car pe-2"></i> Automovil</span>
                                <i class="fa-solid fa-chevron-right"></i>
                            </a>
                        </li>
                        <li class="mb-3">
                            <a href="#" data-type="vida" class="btn btn-light btn-pill btn-xxl js-step-1 js-step w-100 d-flex align-items-center justify-content-between pt-sans-bold" data-section="vida" data-title="Completá los datos" onclick="selectService(event, 'vida')">
                                <span><i class="fa-solid fa-heart-pulse pe-2"></i> Vida</span>
                                <i class="fa-solid fa-chevron-right"></i>
                            </a>
                        </li>
                        <li class="mb-3">
                            <a href="#" data-type="hogar" class="btn btn-light btn-pill btn-xxl js-step-1 js-step w-100 d-flex align-items-center justify-content-between pt-sans-bold" data-section="hogar" data-title="Completá los datos" onclick="selectService(event, 'hogar')">
                                <span><i class="fa-solid fa-house-chimney pe-2"></i> Hogar</span>
                                <i class="fa-solid fa-chevron-right"></i>
                            </a>
                        </li>
                        <li class="mb-3">
                            <a href="#" data-type="comercio" class="btn btn-light btn-pill btn-xxl js-step-1 js-step w-100 d-flex align-items-center justify-content-between pt-sans-bold" data-section="comercio" data-title="Completá los datos" onclick="selectService(event, 'comercio')">
                                <span><i class="fa-solid fa-building pe-2"></i> Comercio</span>
                                <i class="fa-solid fa-chevron-right"></i>
                            </a>
                        </li>
                        <li class="mb-3">
                            <a href="#" data-type="otros" class="btn btn-light btn-pill btn-xxl js-step-1 js-step w-100 d-flex align-items-center justify-content-between pt-sans-bold" data-section="otros" data-title="Completá los datos" onclick="selectService(event, 'otros')">
                                <span><i class="fa-solid fa-triangle-exclamation pe-2"></i> Otros Riesgos</span>
                                <i class="fa-solid fa-chevron-right"></i>
                            </a>
                        </li>
                    </ul>
                </div>`,
        showCancelButton: true,
        showConfirmButton: false,
        confirmButtonText: 'Avanzar <i class="fa-solid fa-right-long"></i>',
        cancelButtonText: '<i class="fa-solid fa-xmark"></i> Cerrar',
        preConfirm: () => {
            if (!formData.servicio) {
                Swal.showValidationMessage(`Por favor selecciona un servicio`);
                return false;
            }
            return { servicio: formData.servicio }; // Retornar el servicio seleccionado
        },
        willClose: () => {
            // Restaurar la selección si ya existe
            if (formData.servicio) {
                const selectedOption = document.querySelector(`a[data-section="${formData.servicio}"]`);
                if (selectedOption) {
                    selectedOption.classList.add('active');
                }
            }
        }
    }).then((result) => {
        if (result.isConfirmed) {
            // Acción al confirmar, paso2()
            paso2();
        }
    });
}
// Función para manejar la selección del servicio
function selectService(event, servicio) {
    event.preventDefault(); // Evitar que el enlace recargue la página
    formData.servicio = servicio; // Almacenar el servicio seleccionado

    // Remover clase 'active' de todos los enlaces
    const options = document.querySelectorAll('.list-options-lg a');
    options.forEach(option => option.classList.remove('active'));

    // Agregar clase 'active' al enlace seleccionado
    event.currentTarget.classList.add('active');
    paso2();
}

// Función para manejar la navegación hacia atrás
function pasoAnterior() {
    // Aquí puedes llamar a la función anterior o a la lógica necesaria para volver
    console.log("Volviendo al paso anterior...");
    // Llama a paso1() o a la función que maneje el paso anterior
    paso1();
}

function paso2() {
    Swal.fire({
        title: `<h2 class="custom-title">Queremos conocerte!</h2>`,
        html: `<div class="form-group mb-3">
                <label for="nombre" class="form-label">Nombre</label>
                <div class="input-container position-relative">
                    <i class="fa fa-user position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                    <input type="text" id="nombre" class="form-control custom-input" placeholder="Ingresa tu nombre" value="${formData.nombre || ''}">
                </div>
            </div>
            <div class="form-group mb-3">
                <label for="apellido" class="form-label">Apellido</label>
                <div class="input-container position-relative">
                    <i class="fa fa-user position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                    <input type="text" id="apellido" class="form-control custom-input" placeholder="Tu apellido aquí" value="${formData.apellido || ''}">
                </div>
            </div>
            `,
        showCancelButton: true,
        confirmButtonText: 'Avanzar <i class="fa-solid fa-right-long"></i>',
        cancelButtonText: '<i class="fa-solid fa-left-long"></i> Volver',
        reverseButtons: true, // Esto invierte el orden de los botones
        preConfirm: () => {
            const nombre = Swal.getPopup().querySelector('#nombre').value;
            const apellido = Swal.getPopup().querySelector('#apellido').value;
            if (!nombre || !apellido) {
                Swal.showValidationMessage(`Por favor ingresa tu nombre y apellido`);
            }
            return { nombre: nombre, apellido: apellido };
        }
    }).then((result) => {
        if (result.isConfirmed) {
            formData.nombre = result.value.nombre;
            formData.apellido = result.value.apellido;
            paso3();
        } else if (result.dismiss === Swal.DismissReason.cancel) {
            paso1();
        }
    });
}
function paso3() {
    const servicioSeleccionado = formData.servicio; // Obtener el servicio seleccionado

    // Objeto que asocia servicios con funciones
    const serviciosFunciones = {
        automotores: seguroAutomovil,
        vida: seguroVida,
        hogar: seguroHogar,
        comercio: seguroComercial,
        otros: seguroOtros
        // Puedes agregar más servicios aquí
    };

    // Llamar a la función correspondiente si existe
    const funcionSeleccionada = serviciosFunciones[servicioSeleccionado];
    if (funcionSeleccionada) {
        funcionSeleccionada(); // Llama a la función correspondiente
    } else {
        console.warn(`No hay una función definida para el servicio: ${servicioSeleccionado}`);
    }
}

        function paso4() {
            Swal.fire({
                title: '<h2 class="custom-title text-center">Estamos preparando los mejores planes para vos! Datos de contactos.</h2>',
                html: `<div class="container">
    <div class="form-group mt-3">
        <label for="prefijoSelector" class="form-label"><b>Selecciona un prefijo:</b></label>
        <div class="input-container position-relative">
            <select id="prefijoSelector" class="form-select select2 custom-input w-50 w-lg-auto" disabled aria-label="Selecciona un prefijo">
                <option value="">Selecciona un prefijo</option>
            </select>
            <div class="invalid-feedback">Por favor, selecciona un prefijo válido.</div>
        </div>
    </div>
    
    <div class="form-group mt-3">
        <label for="telefono" class="form-label"><b>Teléfono</b></label>
        <div class="input-container position-relative">
            <i class="fas fa-mobile-alt position-absolute top-50 start-0 translate-middle-y ms-3"></i>
            <div class="input-group">
                <span class="input-group-text" id="prefijo-addon"></span>
                <input type="number" id="telefono" class="form-control ps-5 custom-input" placeholder="Teléfono" aria-describedby="prefijo-addon" value="${formData.telefono || ''}" disabled>
                <div class="invalid-feedback">Por favor, ingrese un número de teléfono válido (6-15 dígitos).</div>
            </div>
        </div>
    </div>

    <div class="form-group mt-3">
        <label for="email" class="form-label"><b>Correo Electrónico</b></label>
        <div class="input-container position-relative">
            <i class="fas fa-envelope position-absolute top-50 start-0 translate-middle-y ms-3"></i>
            <input type="email" id="email" class="form-control ps-5 custom-input" placeholder="Correo Electrónico" value="${formData.email || ''}">
            <div class="invalid-feedback">Por favor, ingrese un correo electrónico válido.</div>
        </div>
    </div>
</div>

`,
                showCancelButton: true,
                confirmButtonText: 'Finalizar',
                cancelButtonText: 'Volver',
                reverseButtons: true, // Esto invierte el orden de los botones
                didOpen: () => { 
                  cargarPrefijo();
                },
                preConfirm: () => {
                    const telefono = Swal.getPopup().querySelector('#telefono').value;
                    const email = Swal.getPopup().querySelector('#email').value;

                    // Expresión regular para validar el formato del correo electrónico
                    const emailPattern = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
                    // Validar el formato del correo electrónico
                    if (!emailPattern.test(email)) {
                        Swal.showValidationMessage('Por favor ingresa un correo electrónico válido');
                        return false; // Detiene el proceso de confirmación
                    }

                    // Verificar que el teléfono y el correo no estén vacíos
                    if (!telefono) {
                        Swal.showValidationMessage('Por favor ingresa tu teléfono');
                        return false; // Detiene el proceso de confirmación
                    }

                    // Si ambas validaciones son correctas, devuelve los valores
                    return { telefono: telefono, email: email };
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    formData.telefono = result.value.telefono;
                    formData.email = result.value.email;
                     $.ajax({
                         url: 'inc/guardarLead.php',
                         method: 'post',
                         data: formData,
                         success: function(response) {
                            swal.fire({
                                title: '¡Estamos procesando su pedido!',
                                 icon: 'success',
                                 text: 'Gracias por su preferencia, contactamos con usted en la brevedad.',
                            });
                            // Vaciar formData eliminando cada una de sus propiedades
                            Object.keys(formData).forEach(key => {
                                delete formData[key];
                            });
                         },
                       error: function() {
                            swal.fire({
                                 title: 'error',
                                icon: 'error',
                                text: 'ocurrió un error al enviar los datos.',
                            });
                        }
                     });
                } else if (result.dismiss === Swal.DismissReason.cancel) {
                    paso3();
                }
            });
        }

           // Agregar evento de clic a cada botón
    document.querySelectorAll('#verMasBtn').forEach(button => {
        button.addEventListener('click', paso1); // Asocia la función 'paso1' al evento de clic
    });

        
    function cargarModelos(marcaId) {
        var _url = 'inc/obtenerModelos.php'; // Archivo que devuelve los modelos basados en la marca
        var _data = { 'marca_id': marcaId };

        $.ajax({
            url: _url,
            dataType: 'json',
            type: 'POST',
            data: _data,
            success: function(resp) {
                // Limpiar y habilitar el selector de modelos
                $('#modeloSelector').empty().append(`<option value="">Seleccione un Modelo</option>`);
                resp.modelos.forEach(function(modelo) {
                    $('#modeloSelector').append(`<option value="${modelo.vehiculo_modelo_id}">${modelo.vehiculo_modelo_nombre}</option>`);
                });
                $('#modeloSelector').prop('disabled', false).trigger('change');
                $('#modeloSelector').select2();
                // Detectar cambios en el modelo seleccionado
                $('#modeloSelector').on('change', function() {
                    const modeloId = $(this).val();
                    if (modeloId) {
                        cargarAnios();
                    } else {
                        $('#anioSelector').prop('disabled', true).val(null).trigger('change');
                    }
                });
            },
            error: function(xhr, status, error) {
                console.error("Error al cargar los modelos", error);
            }
        });
    }

    function cargarAnios() {
        const yearSelect = $('#anioSelector');
        const currentYear = new Date().getFullYear(); // Get the current year (optional)

        for (let year = 2000; year <= 2024; year++) {
            yearSelect.append(`<option value="${year}">${year}</option>`);
        }

        // Enable the selector if needed
        yearSelect.prop('disabled', false);
    }

function cargarPrefijo() {
        var _url = 'inc/obtenerPrefijos.php'; // Archivo que devuelve los modelos basados en la marca

        $.ajax({
            url: _url,
            dataType: 'json',
            type: 'POST',
            success: function(resp) {
                // Limpiar y habilitar el selector de modelos
                $('#prefijoSelector').empty().append(`<option value="">Seleccione un prefijo</option>`);
                resp.prefijos.forEach(function(prefijo) {
                    $('#prefijoSelector').append(`<option value="${prefijo.prefijo_numero}">${prefijo.prefijo_numero}</option>`);
                });
             
                // Habilitar el selector, inicializar Select2 con placeholder
                $('#prefijoSelector').prop('disabled', false).select2({
                    placeholder: 'Seleccione un prefijo'  // Agregar placeholder
                });
                $('#prefijoSelector').on('change', function() {
                    $('#telefono').prop('disabled', false).trigger('change');
                    const prefijo = $(this).val();
                    if (prefijo) {
                       $('#prefijo-addon').html(prefijo);
                    } 
                });
            },
            error: function(xhr, status, error) {
                console.error("Error al cargar los modelos", error);
            }
        });
    }

// Función para formatear el monto en Guaraníes
function formatGuarani(value) {
    // Eliminar cualquier carácter que no sea un número
    const numericValue = value.replace(/\D/g, '');
    
    // Formatear el número con separadores de miles
    return numericValue.replace(/\B(?=(\d{3})+(?!\d))/g, '.');
}

function seguroAutomovil(){
    var _url = 'inc/selectoresSeguro.php';
    const servicioSeleccionado = formData.servicio; // Obtener el servicio seleccionado
    var _data = {
        'id': servicioSeleccionado
    };
    $.ajax({
    url: _url,
    dataType: 'json',
    type: 'POST',
    data: _data,
    success: function(resp) {
        // Crear el SweetAlert con los selectores
        Swal.fire({
            title: '<h2 class="custom-title text-center">Ingresa los datos de tu vehículo</h2>',
    html: `
        <div class="form-group">
            <label for="marcaSelector" class="form-label"><b>Selecciona una Marca: </b></label>
            <div class="input-container position-relative">
                <i class="fa fa-car position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                <select id="marcaSelector" class="swal2-input form-select select2 custom-input ps-5 w-50 w-lg-auto" aria-label="Selecciona una Marca">
                    <option value="">Seleccione una Marca</option>
                </select>
            </div>
        </div>
        <div class="form-group mt-3">
            <label for="modeloSelector" class="form-label"><b>Selecciona un Modelo: </b></label>
            <div class="input-container position-relative">
                <i class="fa fa-car-side position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                <select id="modeloSelector" class="swal2-input form-select select2 custom-input ps-5 w-50 w-lg-auto" disabled aria-label="Selecciona un Modelo">
                    <option value="">Seleccione un Modelo</option>
                </select>
            </div>
        </div>

        <div class="form-group mt-3">
            <label for="anioSelector" class="form-label"><b>Selecciona un Año: </b></label>
            <div class="input-container position-relative">
                <i class="fa fa-calendar-alt position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                <select id="anioSelector" class="swal2-input form-select select2 custom-input ps-5 w-50 w-lg-auto" disabled aria-label="Selecciona un Año">
                    <option value="">Seleccione un Año</option>
                </select>
            </div>
        </div>

        <div class="form-group mt-3">
            <label for="montoRange" class="form-label"><b>Seleccione el Monto</b><br><small>Min 20.000.000 Gs / Max 700.000.000 Gs</small></label>
            <input type="range" id="montoRange" class="form-range custom-range" min="20000000" max="700000000" step="1000000" value="20000000" />
        </div>

        <div class="form-group mt-3">
            <label for="montoInput" class="form-label"><b>Monto en Guaraníes</b></label>
            <div class="input-container position-relative">
                <i class="fa fa-money-bill-wave position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                <input type="text" id="montoInput" class="form-control ps-5 custom-input w-50 w-lg-auto" placeholder="Monto en Gs." aria-label="Ingrese un Monto" readonly />
            </div>
        </div>
    `,
            showCancelButton: true,
            confirmButtonText: 'Avanzar <i class="fa-solid fa-right-long"></i>',
            cancelButtonText: '<i class="fa-solid fa-left-long"></i> Volver',
            reverseButtons: true, // Esto invierte el orden de los botones
            didOpen: () => { 
                const montoInput = document.getElementById('montoInput');
                const montoRange = document.getElementById('montoRange');

                // Actualizar el valor del input de texto al mover el slider
                montoRange.addEventListener('input', function() {
                    const formattedValue = new Intl.NumberFormat('es-PY').format(this.value);
                    montoInput.value = formattedValue + " Gs.";
                });

                // Inicializar con el valor mínimo
                montoInput.value = new Intl.NumberFormat('es-PY').format(montoRange.value) + " Gs.";
            },
            preConfirm: () => {
                const marca = $('#marcaSelector option:selected').text();
                const modelo = $('#modeloSelector option:selected').text();
                const anio = $('#anioSelector option:selected').text(); 
                const monto = $('#montoInput').val();

                if (!marca || !modelo || !anio || !monto) {
                    Swal.showValidationMessage(`Por favor selecciona una marca, modelo, año y monto`);
                    return false;
                }

                return {
                    marca: marca,
                    modelo: modelo,
                    anio: anio,
                    monto: monto
                };
            }
        }).then((result) => {
            if (result.isConfirmed) {
                formData.marca = result.value.marca; 
                formData.modelo = result.value.modelo;
                formData.anio = result.value.anio;
                formData.monto = result.value.monto;
                paso4();
            } else if (result.dismiss === Swal.DismissReason.cancel) {
                paso2(); // Si cancelan, regresa al paso anterior
            }
        });



        // Llenar el selector de marcas con los datos recibidos
        resp.marcas.forEach(function(item) {
            $('#marcaSelector').append(`<option value="${item.vehiculo_marca_id}">${item.vehiculo_marca_nombre}</option>`);
        });
        // Obtener el input y agregar un evento de entrada
        const montoInput = document.getElementById('montoInput');
        montoInput.addEventListener('input', function() {
            // Formatear el valor en tiempo real
            const formattedValue = formatGuarani(montoInput.value);
            montoInput.value = formattedValue;
        });

        // Inicializar Select2 después de crear los selectores
        
        $('#marcaSelector').select2();
        $('#modeloSelector').select2();
        $('#anioSelector').select2();

        // Detectar cambios en la marca seleccionada
        $('#marcaSelector').on('change', function() {
            const marcaId = $(this).val();
            if (marcaId) {
                cargarModelos(marcaId);
            } else {
                $('#modeloSelector').prop('disabled', true).val(null).trigger('change');
                $('#anioSelector').prop('disabled', true).val(null).trigger('change');
            }
        });
    },
    error: function(xhr, status, error) {
        console.error("Error al cargar las marcas", error);
    }
});

}

function seguroVida(){
    var _url = 'inc/selectoresSeguro.php';
    const servicioSeleccionado = formData.servicio; // Obtener el servicio seleccionado
    var _data = {
        'id': servicioSeleccionado
    };
    $.ajax({
    url: _url,
    dataType: 'json',
    type: 'POST',
    data: _data,
    success: function(resp) {
        // Crear el SweetAlert con los selectores
        Swal.fire({
            title: '<h2 class="custom-title text-center">Datos del asegurado</h2>',
            html: `<div class="container">
                    <div class="form-group">
                        <label for="edadInput" class="form-label"><b>Tu Edad:</b></label>
                        <div class="input-container position-relative">
                            <i class="fa fa-birthday-cake position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                            <select id="edadInput" class="swal2-input form-select select2 custom-input w-50 w-lg-auto" aria-label="Seleccionar edad" style="padding-left: 2.5rem;">
                                <option value="">Seleccionar edad</option>
                                <option value="1">18 a 30 años</option>
                                <option value="2">31 a 45 años</option>
                                <option value="3">46 a 55 años</option>
                                <option value="4">56 a 65 años</option>
                            </select>
                        </div>
                    </div>
    <div class="form-group mt-3">
        <label for="generoSelector" class="form-label"><b>Género</b></label>
        <div class="input-container position-relative">
            <i class="fa fa-venus-mars position-absolute top-50 start-0 translate-middle-y ms-3"></i>
            <select id="generoSelector" class="swal2-input form-select select2 custom-input w-50 w-lg-auto" aria-label="Seleccionar género">
                <option value="">Seleccionar</option>
                <option value="masculino">Masculino</option>
                <option value="femenino">Femenino</option>
            </select>
        </div>
    </div>

    <div class="form-group mt-3">
        <label for="actividadSelector" class="form-label"><b>Actividad Económica</b></label>
        <div class="input-container position-relative">
            <i class="fa fa-briefcase position-absolute top-50 start-0 translate-middle-y ms-3"></i>
            <select id="actividadSelector" class="swal2-input form-select select2 custom-input w-50 w-lg-auto" aria-label="Seleccionar una actividad">
            <option value="">Seleccionar</option>
            </select>
        </div>
    </div>
    <div class="form-group mt-3">
        <label for="tipoVida" class="form-label"><b>Selecciona el plan:</b></label>
        <div class="input-container position-relative">
            <i class="fa fa-list-alt position-absolute top-50 start-0 translate-middle-y ms-3"></i>
            <select class="swal2-input form-select select2 custom-input w-50 w-lg-100" id="tipoVida" disabled>
            <option value="">Debes seleccionar</option>
            </select>
        </div>
    </div>

    <div class="row">
        <div class="table-responsive card mt-2" id="detallesVida"></div>
    </div>
</div>
`,
            showCancelButton: true,
            confirmButtonText: 'Avanzar <i class="fa-solid fa-right-long"></i>',
            cancelButtonText: '<i class="fa-solid fa-left-long"></i> Volver',
            reverseButtons: true, // Esto invierte el orden de los botones
            
            preConfirm: () => {
               // Obtener el texto del selector de edad
                    const edad = $('#edadInput option:selected').text();
                    
                    // Obtener el primer elemento seleccionado de Select2 para género
                    const selectedDataGenero = $('#generoSelector').select2('data');
                    const genero = selectedDataGenero.length > 0 ? selectedDataGenero[0].text : null;

                    const selectedDataActividad = $('#actividadSelector').select2('data');
                    const actividad = selectedDataActividad.length > 0 ? selectedDataActividad[0].text : null;
                    // Obtener el texto del selector de tipoVida
                    const tipoVida = $('#tipoVida option:selected').text();
                if (!edad || !genero || !actividad || !tipoVida) {
                    Swal.showValidationMessage(`Por favor ingresar todos los datos`);
                    return false;
                }

                return {
                    edad: edad,
                    genero: genero,
                    actividad: actividad,
                    tipoVida: tipoVida
                };
            }
        }).then((result) => {
            if (result.isConfirmed) {
                formData.edad = result.value.edad; 
                formData.genero = result.value.genero;
                formData.actividad = result.value.actividad;
                formData.tipoVida = result.value.tipoVida;
                paso4();
            } else if (result.dismiss === Swal.DismissReason.cancel) {
                paso2(); // Si cancelan, regresa al paso anterior
            }
        });


        // Llenar el selector de marcas con los datos recibidos
        resp.actividades.forEach(function(item) {
            $('#actividadSelector').append(`<option value="${item.actividad_economica_nombre}">${item.actividad_economica_nombre}</option>`);
        });
        // Inicializar Select2 después de crear los selectores
        
        $('#actividadSelector').select2({
            placeholder: 'Seleccione una actividad'  // Agregar placeholder
        });
        $('#generoSelector').select2({
            placeholder: 'Seleccione su genero'  // Agregar placeholder
        });
        $('#edadInput').select2({
            placeholder: 'Seleccione su edad'  // Agregar placeholder
        });
        $('#edadInput').on('change', function() {
            $('#tipoVida').empty();
            $('#detallesVida').html("");
            const plan = $(this).val();
            if (plan) {
                selectorPlanVida(plan);
            } 
        });
    },
    error: function(xhr, status, error) {
        console.error("Error al cargar las marcas", error);
    }
});

}



function seguroHogar(){
    var _url = 'inc/selectoresSeguro.php';
    const servicioSeleccionado = formData.servicio; // Obtener el servicio seleccionado
    var _data = {
        'id': servicioSeleccionado
    };
    $.ajax({
    url: _url,
    dataType: 'json',
    type: 'POST',
    data: _data,
    success: function(resp) {
        // Crear el SweetAlert con los selectores
        Swal.fire({
            title: '<h2 class="custom-title text-center">ASEGURA TU HOGAR</h2>',
            html: `<div class="container">
    <div class="form-group">
        <label for="tipoHogar" class="form-label"><b>Selecciona el plan que mejor se adapta a tu hogar:</b></label>
        <div class="input-container position-relative">
            <i class="fas fa-home position-absolute top-50 start-0 translate-middle-y ms-3"></i>
            <select class="swal2-input form-select select2 custom-input w-50 w-lg-100" id="tipoHogar" aria-label="Seleccionar un plan">
                <option value="">Selecciona un plan</option>
                <!-- Aquí se llenarán las opciones de planes -->
            </select>
        </div>
    </div>
    <div class="row">
        <div class="table-responsive card mt-2" id="detallesHogar">
            <!-- Detalles del hogar se mostrarán aquí -->
        </div>
    </div>
</div>

`,
            showCancelButton: true,
            confirmButtonText: 'Avanzar <i class="fa-solid fa-right-long"></i>',
            cancelButtonText: '<i class="fa-solid fa-left-long"></i> Volver',
            reverseButtons: true, // Esto invierte el orden de los botones
            preConfirm: () => {

                const tipoHogar = $('#tipoHogar option:selected').text();

                if (!tipoHogar) {
                    Swal.showValidationMessage(`Por favor seleccionar uno de los planes`);
                    return false;
                }

                return {
                    seguros: tipoHogar
                };
            }
        }).then((result) => {
            if (result.isConfirmed) {
                formData.seguros = result.value.seguros; 
                paso4();
            } else if (result.dismiss === Swal.DismissReason.cancel) {
                paso2(); // Si cancelan, regresa al paso anterior
            }
        });

        $('#tipoHogar').empty().append(`<option value="">Seleccione un plan</option>`);
        resp.hogar.forEach(function(hogar) {
            $('#tipoHogar').append(`<option value="${hogar.seguro_hogar_id }">12 Cuotas de ${hogar.seguro_hogar_cuotas} Gs / Capital - ${hogar.seguro_hogar_capital} Gs</option>`);
        });
        // Habilitar el selector, inicializar Select2 con placeholder
        $('#tipoHogar').prop('disabled', false).select2({
            placeholder: 'Seleccione un plan'  // Agregar placeholder
        });
        $('#tipoHogar').on('change', function() {
            const plan = $(this).val();
            if (plan) {
                mostrarDetallesPlanHogar(plan);
            } 
        });

        // Inicializar Select2 después de crear los selectores
        
        $('#actividadSelector').select2();
        $('#generoSelector').select2();

        // Detectar cambios en la marca seleccionada
        $('#marcaSelector').on('change', function() {
            const marcaId = $(this).val();
            if (marcaId) {
                cargarModelos(marcaId);
            } else {
                $('#modeloSelector').prop('disabled', true).val(null).trigger('change');
                $('#anioSelector').prop('disabled', true).val(null).trigger('change');
            }
        });
    },
    error: function(xhr, status, error) {
        console.error("Error al cargar las marcas", error);
    }
});

}

function seguroComercial(){
    var _url = 'inc/selectoresSeguro.php';
    const servicioSeleccionado = formData.servicio; // Obtener el servicio seleccionado
    var _data = {
        'id': servicioSeleccionado
    };
    $.ajax({
    url: _url,
    dataType: 'json',
    type: 'POST',
    data: _data,
    success: function(resp) {
        // Crear el SweetAlert con los selectores
        Swal.fire({
            title: '<h2 class="custom-title text-center">ASEGURA TU COMERCIO</h2>',
            html: `<div class="container">
                    <div class="form-group">
                        <label for="tipoComercio" class="form-label"><b>Selecciona el plan que mejor se adapta a tu comercio:</b></label>
                        <div class="input-container position-relative">
                            <i class="fas fa-bussines position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                            <select class="swal2-input form-select select2 custom-input w-50 w-lg-100" id="tipoComercio" aria-label="Seleccionar un plan">
                                <option value="">Selecciona un plan</option>
                                <!-- Aquí se llenarán las opciones de planes -->
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="table-responsive card mt-2" id="detallesComercio">
                            <!-- Detalles del hogar se mostrarán aquí -->
                        </div>
                    </div>
                </div>`,
            showCancelButton: true,
            confirmButtonText: 'Avanzar <i class="fa-solid fa-right-long"></i>',
            cancelButtonText: '<i class="fa-solid fa-left-long"></i> Volver',
            reverseButtons: true, // Esto invierte el orden de los botones
            preConfirm: () => {
                const tipoComercio = $('#tipoComercio option:selected').text();

                if (!tipoComercio) {
                    Swal.showValidationMessage(`Por favor seleccionar uno de los planes`);
                    return false;
                }

                return {
                    seguros: tipoComercio
                };
            }
        }).then((result) => {
            if (result.isConfirmed) {
                formData.seguros = result.value.seguros;
                paso4();
            } else if (result.dismiss === Swal.DismissReason.cancel) {
                paso2(); // Si cancelan, regresa al paso anterior
            }
        });

        $('#tipoComercio').empty().append(`<option value="">Seleccione un plan</option>`);
        resp.comercial	.forEach(function(comercio) {
            $('#tipoComercio').append(`<option value="${comercio.seguro_comercio_id}">12 Cuotas de ${comercio.seguro_comercio_cuotas} Gs / Capital - ${comercio.seguro_comercio_capital	} Gs</option>`);
        });
        // Habilitar el selector, inicializar Select2 con placeholder
        $('#tipoComercio').prop('disabled', false).select2({
            placeholder: 'Seleccione un plan'  // Agregar placeholder
        });
        $('#tipoComercio').on('change', function() {
            const plan = $(this).val();
            if (plan) {
                mostrarDetallesPlanComercio(plan);
            } 
        });
    },
    error: function(xhr, status, error) {
        console.error("Error al cargar las marcas", error);
    }
});

}



function seguroOtros() {
    var _url = 'inc/selectoresSeguro.php';
    const servicioSeleccionado = formData.servicio; // Obtener el servicio seleccionado
    var _data = {
        'id': servicioSeleccionado
    };
    $.ajax({
        url: _url,
        dataType: 'json',
        type: 'POST',
        data: _data,
        success: function(resp) {
            // Crear el SweetAlert con los selectores
            Swal.fire({
                title: '<h2 class="custom-title text-center">ASEGURATE CONTRA TODO RIESGO</h2>',
                html: `
                <div class="container">
                    <div class="form-group">
                        <label for="tipoComercio" class="form-label"><b>Seleccione las opciones que se adaptan a su necesidad:</b></label>
                        <div class="input-container position-relative">
                            <i class="fas fa-business position-absolute top-50 start-0 translate-middle-y ms-3"></i>
                            <select class="swal2-input form-select select2 custom-input w-50 w-lg-100" id="tipoOtros" aria-label="Seleccionar un plan" multiple>
                                <option value="">Selecciona un plan</option>
                            </select>
                        </div>
                    </div>
                </div>
                `,
                showCancelButton: true,
                confirmButtonText: 'Avanzar <i class="fa-solid fa-right-long"></i>',
                cancelButtonText: '<i class="fa-solid fa-left-long"></i> Volver',
                reverseButtons: true, // Invierte el orden de los botones
                preConfirm: () => {
                    // Capturar el texto de las opciones seleccionadas
                    const segurosSeleccionadosText = $('#tipoOtros option:selected').map(function() {
                        return $(this).text(); // Extraer el texto de cada opción seleccionada
                    }).get();

                    if (segurosSeleccionadosText.length === 0) {
                        Swal.showValidationMessage('Debe seleccionar al menos una opción');
                        return false; // Detener la confirmación si no se selecciona nada
                    }
                    return segurosSeleccionadosText; // Retornar los textos seleccionados
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    formData.seguros = result.value; // Asigna los textos seleccionados a formData
                    paso4(); // Avanza al siguiente paso
                } else if (result.dismiss === Swal.DismissReason.cancel) {
                    paso2(); // Regresa al paso anterior si se cancela
                }
            });

            // Agregar las opciones al Select2
            resp.otros.forEach(function(item) {
                $('#tipoOtros').append(`<option value="${item.seguro_riesgo_id}">${item.seguro_riesgo_nombre}</option>`);
            });

            // Inicializar Select2 con placeholder
            $('#tipoOtros').select2({
                placeholder: "Selecciona una o más opciones",
                allowClear: true,
                theme: "classic", // Usa la clase del tema de Bootstrap 5
                width: '100%', // Asegúrate de que el select ocupe todo el ancho
            });
        },
        error: function(xhr, status, error) {
            console.error("Error al cargar las marcas", error);
        }
    });
}


function enviarContacto(event){
    event.preventDefault(); // Evitar que el enlace recargue la página
    var name = $('#name').val();
    var email = $('#email').val();
    var mensaje = $('#message').val();

    if (!name || !email || !mensaje) {
        swal.fire({
            title: '¡Debe completar todos los campos!',
             icon: 'error',
             text: 'Nombre, correo y mensaje',
        });
        return false;
    }
    $.ajax({
            url: 'inc/guardarLead.php',
            method: 'post',
            data: formData,
            success: function(response) {
            swal.fire({
                title: '¡Estamos procesando su pedido!',
                    icon: 'success',
                    text: 'Gracias por su preferencia, contactamos con usted en la brevedad.',
            });
            // Vaciar formData eliminando cada una de sus propiedades
            Object.keys(formData).forEach(key => {
                delete formData[key];
            });
            },
        error: function() {
            swal.fire({
                    title: 'error',
                icon: 'error',
                text: 'ocurrió un error al enviar los datos.',
            });
        }
        });
}

function mostrarDetallesPlanComercio(id) {
    $.ajax({
        url: 'inc/obtenerPlanComercio.php',
        method: 'POST',
        data: {
            'id': id
        },
        success: function(response) {
            // Log para ver la respuesta
            console.log(response);

            try {
                // Supongo que la respuesta es JSON. No necesitas volver a usar JSON.parse aquí, ya que jQuery lo convierte automáticamente.
                const datosPlan = response.planes[0];

                // Crea la tabla de Bootstrap
                const tableHTML = `
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Concepto</th>
                                <th>Cobertura</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Incendio Edificio</td>
                                <td>${datosPlan.seguro_comercio_edificio}</td>
                            </tr>
                            <tr>
                                <td>Incendio Contenido</td>
                                <td>${datosPlan.seguro_comercio_contenido}</td>
                            </tr>
                            <tr>
                                <td>Robo y/o Asalto</td>
                                <td>${datosPlan.seguro_comercio_asalto}</td>
                            </tr>
                            <tr>
                                <td>Robo Valores</td>
                                <td>${datosPlan.seguro_comercio_robo}</td>
                            </tr>
                            <tr>
                                <td>Resp. Civil</td>
                                <td>${datosPlan.seguro_comercio_civil}</td>
                            </tr>
                            <tr>
                                <td>Cristales</td>
                                <td>${datosPlan.seguro_comercio_cristales}</td>
                            </tr>
                            <tr>
                                <td>Equipos Electrónicos</td>
                                <td>${datosPlan.seguro_comercio_electronicos}</td>
                            </tr>
                            <tr>
                                <td>Accidentes Personales</td>
                                <td>${datosPlan.seguro_comercio_accidente}</td>
                            </tr>
                            <tr>
                                <td>Capital asegurado</td>
                                <td>${datosPlan.seguro_comercio_capital}</td>
                            </tr>
                        </tbody>
                    </table>
                `;

                $('#detallesComercio').html(tableHTML);
            } catch (error) {
                console.error('Error al procesar los datos:', error);
                Swal.fire({
                    title: 'Error',
                    icon: 'error',
                    text: 'Ocurrió un error al procesar los datos del plan de hogar.',
                });
            }
        },
        error: function() {
            Swal.fire({
                title: 'Error',
                icon: 'error',
                text: 'Ocurrió un error al enviar los datos.',
            });
        }
    });
}
function mostrarDetallesPlanHogar(id) {
    $.ajax({
        url: 'inc/obtenerPlanHogar.php',
        method: 'POST',
        data: {
            'id': id
        },
        success: function(response) {
            // Log para ver la respuesta
            console.log(response);

            try {
                // Supongo que la respuesta es JSON. No necesitas volver a usar JSON.parse aquí, ya que jQuery lo convierte automáticamente.
                const datosPlan = response.planes[0];

                // Crea la tabla de Bootstrap
                const tableHTML = `
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Concepto</th>
                                <th>Cobertura</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Incendio Edificio</td>
                                <td>${datosPlan.seguro_hogar_incendio_edificio}</td>
                            </tr>
                            <tr>
                                <td>Incendio Contenido</td>
                                <td>${datosPlan.seguro_hogar_incendio_contenido}</td>
                            </tr>
                            <tr>
                                <td>Robo y/o Asalto</td>
                                <td>${datosPlan.seguro_hogar_robo}</td>
                            </tr>
                            <tr>
                                <td>Responsabilidad Civil</td>
                                <td>${datosPlan.seguro_hogar_civil}</td>
                            </tr>
                            <tr>
                                <td>Cristales</td>
                                <td>${datosPlan.seguro_hogar_cristales}</td>
                            </tr>
                            <tr>
                                <td>Equipos Electrónicos</td>
                                <td>${datosPlan.seguro_hogar_electronicos}</td>
                            </tr>
                            <tr>
                                <td>Daños por Agua</td>
                                <td>${datosPlan.seguro_hogar_agua}</td>
                            </tr>
                            <tr>
                                <td>Accidentes Personales</td>
                                <td>${datosPlan.seguro_hogar_accidentes}</td>
                            </tr>
                            <tr>
                                <td>Capital asegurado</td>
                                <td>${datosPlan.seguro_hogar_capital}</td>
                            </tr>
                        </tbody>
                    </table>
                `;

                $('#detallesHogar').html(tableHTML);
            } catch (error) {
                console.error('Error al procesar los datos:', error);
                Swal.fire({
                    title: 'Error',
                    icon: 'error',
                    text: 'Ocurrió un error al procesar los datos del plan de hogar.',
                });
            }
        },
        error: function() {
            Swal.fire({
                title: 'Error',
                icon: 'error',
                text: 'Ocurrió un error al enviar los datos.',
            });
        }
    });
}


function selectorPlanVida(edad){
    var _url = 'inc/selectorPlanVida.php'; // Archivo que devuelve los modelos basados en la marca
    var _data = { 'edad': edad };

    $.ajax({
        url: _url,
        dataType: 'json',
        type: 'POST',
        data: _data,
        success: function(resp) {
            // Limpiar y habilitar el selector de modelos
            $('#tipoVida').empty().append(`<option value="">Seleccione un plan</option>`);
            resp.planes.forEach(function(plan) {
                $('#tipoVida').append(`<option value="${plan.seguro_vida_id}">12 cuotas de ${plan.seguro_vida_cuota}</option>`);
            });
            $('#tipoVida').prop('disabled', false).trigger('change');
            $('#tipoVida').select2();
            // Detectar cambios en el modelo seleccionado
            $('#tipoVida').on('change', function() {
                const plan = $(this).val();
                if (plan) {
                    verPlanVida(plan);
                }
            });
        },
        error: function(xhr, status, error) {
            console.error("Error al cargar los modelos", error);
        }
    });
}

function verPlanVida(id) {
    $.ajax({
        url: 'inc/obtenerPlanVida.php',
        method: 'POST',
        data: {
            'id': id
        },
        success: function(response) {
            try {
                // Supongo que la respuesta es JSON. No necesitas volver a usar JSON.parse aquí, ya que jQuery lo convierte automáticamente.
                const datosPlan = response.planes[0];
                // Crea la tabla de Bootstrap
                const tableHTML = `
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Concepto</th>
                                <th>Cobertura</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Muerte</td>
                                <td>${datosPlan.seguro_vida_muerte}</td>
                            </tr>
                            <tr>
                                <td>Invalidez total y permanente</td>
                                <td>${datosPlan.seguro_vida_invalidez}</td>
                            </tr>
                            <tr>
                                <td>Diagnostico cancer</td>
                                <td>${datosPlan.seguro_vida_cancer}</td>
                            </tr>
                            <tr>
                                <td>Sepelio</td>
                                <td>${datosPlan.seguro_vida_sepelio}</td>
                            </tr>
                        </tbody>
                    </table>
                `;

                $('#detallesVida').html(tableHTML);
            } catch (error) {
                console.error('Error al procesar los datos:', error);
                Swal.fire({
                    title: 'Error',
                    icon: 'error',
                    text: 'Ocurrió un error al procesar los datos del plan de hogar.',
                });
            }
        },
        error: function() {
            Swal.fire({
                title: 'Error',
                icon: 'error',
                text: 'Ocurrió un error al enviar los datos.',
            });
        }
    });
}
