<?php
require_once(__DIR__ . "/../config.php");

function encrypt($message)
{
    $nonceSize = openssl_cipher_iv_length('aes-256-ctr');
    $nonce = openssl_random_pseudo_bytes($nonceSize);

    $ciphertext = openssl_encrypt(
        $message,
        'aes-256-ctr',
        $_ENV['CONFIG']['GENERAL']['APIKEY'],
        OPENSSL_RAW_DATA,
        $nonce
    );
    // Now let's pack the IV and the ciphertext together
    // Naively, we can just concatenate
    return base64_encode($nonce . $ciphertext);
}

function decrypt($message)
{
    $decoded = base64_decode($message, true);
    if (!$decoded) {
        $decoded = base64_decode(urldecode($message), true);
        if (!$decoded) {
            return false;
        }
    }
    $nonceSize = openssl_cipher_iv_length('aes-256-ctr');
    $nonce = mb_substr($decoded, 0, $nonceSize, '8bit');
    $ciphertext = mb_substr($decoded, $nonceSize, null, '8bit');

    $plaintext = openssl_decrypt(
        $ciphertext,
        'aes-256-ctr',
        $_ENV['CONFIG']['GENERAL']['APIKEY'],
        OPENSSL_RAW_DATA,
        $nonce
    );

    return $plaintext;
}
?>