<?php
require_once(__DIR__ . "/config.php");

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require (__DIR__ . "/vendor/mailer/Exception.php");
require (__DIR__ . "/vendor/mailer/PHPMailer.php");
require (__DIR__ . "/vendor/mailer/SMTP.php");

function enviarCorreo($usuario_email, $asunto, $mensaje, $altMensaje, $adjuntos = [], $cc = [], $bcc = []) {
    $mail = new PHPMailer(true);

    try {
        //Configuración del servidor
        $mail->SMTPDebug = SMTP::DEBUG_OFF;// Cambiar a DEBUG_OFF para producción
        $mail->isSMTP();
        $mail->Host       = 'eventos.cardnet-ltda.com';
        $mail->SMTPAuth   = true;
        $mail->Username   = $_ENV['CONFIG']['CORREO']['USUARIO'];
        $mail->Password   = $_ENV['CONFIG']['CORREO']['SECRET'];
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
        $mail->Port       = 465;

        //Destinatarios
        $mail->setFrom('no-reply@eventos.cardnet-ltda.com', 'Correos del sistema');
        $mail->addAddress($usuario_email);

        //Agregar CC
        foreach ($cc as $ccEmail) {
            $mail->addCC($ccEmail);
        }

        //Agregar BCC
        foreach ($bcc as $bccEmail) {
            $mail->addBCC($bccEmail);
        }

        //Archivos adjuntos
        foreach ($adjuntos as $filePath => $fileName) {
            $mail->addAttachment($filePath, $fileName);
        }

        //Contenido
        $mail->isHTML(true);                                  
        $mail->Subject = $asunto;
        $mail->Body    = $mensaje;
        $mail->AltBody = $altMensaje;

        $mail->send();
        return (object) ['exito' => true];
    } catch (Exception $e) {
        return (object) [
            'exito' => false,
            'error' => "No se pudo enviar el mensaje. Error de Mailer: {$mail->ErrorInfo}"
        ];
    }
}
?>